
        var g_conf = {
          mudfish_adclean_filter_on: true
        };
        chrome.storage.local.get(g_conf, function (items) {
            if (!g_conf.mudfish_adclean_filter_on) {
                return;
            }
            try {
                Sizzle(`#content div[class^="basicList_list_"] div:has(div[class^="adProduct_item_"]):has(~ div)`).forEach(element => {
                  element.style.height = "1px !important";
element.style.visibility = "hidden !important";
                });
            } catch (error) {
                console.log('[ERROR] mudfish_adclean rule error: ' + error);
            }
        });